#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3000seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 3000"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire3000seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven30004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven30004xi = {
                1:'-1021x-2661y935z',
                2:'-1037x-2367y1522z',
                3:'-1146x-967y2598z',
                4:'-1150x-1078y2669z',
                5:'-1153x-2296y1548z',
                6:'-1155x-2595y964z',
                7:'-1174x-889y2612z',
                8:'-1198x-812y2627z',
                9:'-1216x-735y2641z',
                10:'-1229x-657y2656z',
                11:'-122x-1533y2575z',
                12:'-1238x-581y2669z',
                13:'-1242x-505y2683z',
                14:'-124x-2682y1338z',
                15:'-1263x-2219y1574z',
                16:'-1285x-2522y992z',
                17:'-1369x-2136y1599z',
                18:'-1410x-2443y1020z',
                19:'-1470x-2048y1624z',
                20:'-151x-2897y763z',
                21:'-1530x-2357y1048z',
                22:'-1533x-2578y7z',
                23:'-1565x-1956y1649z',
                24:'-1645x-2265y1077z',
                25:'-1654x-1859y1674z',
                26:'-1666x-2494y37z',
                27:'-1737x-1758y1699z',
                28:'-1755x-2167y1104z',
                29:'-1794x-2403y67z',
                30:'-1814x-1653y1724z',
                31:'-1858x-2064y1132z',
                32:'-1885x-1545y1748z',
                33:'-1916x-2305y97z',
                34:'-1949x-1433y1773z',
                35:'-1956x-1956y1160z',
                36:'-199x-1499y2590z',
                37:'-2006x-1320y1797z',
                38:'-2034x-2201y127z',
                39:'-2047x-1843y1188z',
                40:'-2057x-1204y1821z',
                41:'-2101x-1086y1844z',
                42:'-2131x-1726y1215z',
                43:'-2138x-967y1868z',
                44:'-2145x-2090y156z',
                45:'-2168x-847y1891z',
                46:'-2192x-726y1915z',
                47:'-2208x-1604y1242z',
                48:'-2208x-605y1938z',
                49:'-2218x-485y1960z',
                50:'-2250x-1974y186z',
                51:'-2279x-1480y1270z',
                52:'-2342x-1352y1297z',
                53:'-2349x-1852y216z',
                54:'-2398x-1222y1324z',
                55:'-2441x-1725y246z',
                56:'-2446x-1089y1351z',
                57:'-2487x-954y1377z',
                58:'-2521x-819y1404z',
                59:'-2526x-1594y276z',
                60:'-2546x-682y1430z',
                61:'-2565x-545y1457z',
                62:'-2575x-407y1483z',
                63:'-2578x-271y1509z',
                64:'-2603x-1458y306z',
                65:'-263x-2658y1364z',
                66:'-2673x-1318y336z',
                67:'-272x-1461y2605z',
                68:'-2735x-1175y366z',
                69:'-2789x-1029y395z',
                70:'-27x-29y2999z',
                71:'-2835x-881y425z',
                72:'-2873x-730y455z',
                73:'-28x-428y2969z',
                74:'-302x-2877y792z',
                75:'-342x-1419y2620z',
                76:'-400x-2627y1391z',
                77:'-408x-1374y2634z',
                78:'-42x-1563y2560z',
                79:'-451x-2849y820z',
                80:'-45x-54y2999z',
                81:'-471x-1326y2649z',
                82:'-47x-396y2973z',
                83:'-530x-1275y2663z',
                84:'-534x-2589y1418z',
                85:'-584x-1221y2676z',
                86:'-598x-2814y849z',
                87:'-60x-80y2998z',
                88:'-634x-1166y2690z',
                89:'-63x-364y2977z',
                90:'-665x-2543y1444z',
                91:'-680x-1108y2703z',
                92:'-6x-458y2964z',
                93:'-722x-1048y2716z',
                94:'-72x-108y2997z',
                95:'-742x-2770y878z',
                96:'-759x-987y2728z',
                97:'-75x-331y2980z',
                98:'-792x-925y2741z',
                99:'-793x-2491y1470z',
                100:'-7x-7y2999z',
                101:'-821x-863y2753z',
                102:'-82x-137y2995z',
                103:'-839x-154y2876z',
                104:'-845x-800y2764z',
                105:'-84x-298y2983z',
                106:'-857x-204y2867z',
                107:'-864x-736y2776z',
                108:'-873x-257y2858z',
                109:'-880x-673y2787z',
                110:'-883x-2719y907z',
                111:'-885x-312y2849z',
                112:'-891x-610y2798z',
                113:'-894x-369y2839z',
                114:'-898x-548y2809z',
                115:'-899x-427y2829z',
                116:'-89x-168y2993z',
                117:'-900x-487y2819z',
                118:'-90x-265y2986z',
                119:'-917x-2432y1496z',
                120:'-92x-200y2991z',
                121:'-93x-232y2989z',
                122:'0x-2908y734z'}                  
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire3000seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire3000seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3000SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE3000SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3000SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3000SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3000SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven30004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3000SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3000SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3000SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven30004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven30004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3000SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE3000SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3000SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire3000seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       